<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="DebugDLL|Win32">
      <Configuration>DebugDLL</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugDLL|x64">
      <Configuration>DebugDLL</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseDLL|Win32">
      <Configuration>ReleaseDLL</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseDLL|x64">
      <Configuration>ReleaseDLL</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{4C335843-C07E-4FF6-B101-0C2C075B85CE}</ProjectGuid>
    <RootNamespace>esysos_freertos</RootNamespace>
    <Keyword>Win32Proj</Keyword>
    <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets">
    <Import Project="$(ESYSMSVC)\project\msvc\esysdev_setup.props" />
    <Import Project="..\msvc\esysos.props" />
    <Import Project="..\msvc\esysos_local.props" Condition="Exists('..\msvc\esysos_local.props')" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(FREERTOS)\project\msvc\freertos.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(FREERTOS)\project\msvc\freertos.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(FREERTOS)\project\msvc\freertos.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(FREERTOS)\project\msvc\freertos.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>15.0.28307.799</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|Win32'">
    <OutDir>$(esysdevLibOutDir)</OutDir>
    <IntDir>$(ESYSOS_DEV)\$(esysdevIntRootDir)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <TargetName>$(ProjectName)$(esysdevDllNameSuffix)-$(esysos_ver)</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|x64'">
    <LinkIncremental>false</LinkIncremental>
    <TargetName>$(ProjectName)$(esysdevDllNameSuffix)-$(esysos_ver)</TargetName>
    <OutDir>$(esysdevLibOutDir)</OutDir>
    <IntDir>$(ESYSOS_DEV)\$(esysdevIntRootDir)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|Win32'">
    <OutDir>$(esysdevLibOutDir)</OutDir>
    <IntDir>$(ESYSOS_DEV)\$(esysdevIntRootDir)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <TargetName>$(ProjectName)$(esysdevDllNameSuffix)-$(esysos_ver)</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|x64'">
    <LinkIncremental>false</LinkIncremental>
    <TargetName>$(ProjectName)$(esysdevDllNameSuffix)-$(esysos_ver)</TargetName>
    <OutDir>$(esysdevLibOutDir)</OutDir>
    <IntDir>$(ESYSOS_DEV)\$(esysdevIntRootDir)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;..\..\src;$(ESYSMSVC)\include;$(ESYSBASE)\include;$(ESYS_BOOST);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_USRDLL;ESYSOS_FREERTOS_EXPORTS;ESYSOS_FREERTOS_PIMPL;ESYSOS_USE;ESYSBASE_USE;FREERTOS_USE;BOOST_ALL_DYN_LINK;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>esys/os/freertos/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <DisableSpecificWarnings>4250;4251</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetFileName)</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalLibraryDirectories>$(esysdevLibOutDir);$(ESYSBASE)\$(esysdevLibDir);$(ESYS_BOOST)\$(boostLibDir);%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)\plugins\esysos\
xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ESYSRES)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PreBuildEvent>
      <Command>python $(ESYSOS)\project\msvc\create_rc.py $(TargetFileName) esysos_freertos</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugDLL|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\include;..\..\src;$(ESYSMSVC)\include;$(ESYSBASE)\include;$(ESYS_BOOST);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_USRDLL;ESYSOS_FREERTOS_EXPORTS;ESYSOS_FREERTOS_PIMPL;ESYSOS_USE;ESYSBASE_USE;FREERTOS_USE;BOOST_ALL_DYN_LINK;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>esys/os/freertos/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <DisableSpecificWarnings>4250;4251</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetFileName)</OutputFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <AdditionalLibraryDirectories>$(esysdevLibOutDir);$(ESYSBASE)\$(esysdevLibDir);$(ESYS_BOOST)\$(boostLibDir);%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)\plugins\esysos\
xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ESYSRES)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PreBuildEvent>
      <Command>python $(ESYSOS)\project\msvc\create_rc.py $(TargetFileName) esysos_freertos</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\include;..\..\src;$(ESYSMSVC)\include;$(ESYSBASE)\include;$(ESYS_BOOST);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_USRDLL;ESYSOS_FREERTOS_EXPORTS;ESYSOS_FREERTOS_PIMPL;ESYSOS_USE;ESYSBASE_USE;FREERTOS_USE;BOOST_ALL_DYN_LINK;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>esys/os/freertos/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat />
      <LanguageStandard>stdcpp17</LanguageStandard>
      <DisableSpecificWarnings>4250;4251</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetFileName)</OutputFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalLibraryDirectories>$(esysdevLibOutDir);$(ESYSBASE)\$(esysdevLibDir);$(ESYS_BOOST)\$(boostLibDir);%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)\plugins\esysos\
xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ESYSRES)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PreBuildEvent>
      <Command>python $(ESYSOS)\project\msvc\create_rc.py $(TargetFileName) esysos_freertos</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|x64'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\..\include;..\..\src;$(ESYSMSVC)\include;$(ESYSBASE)\include;$(ESYS_BOOST);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_USRDLL;ESYSOS_FREERTOS_EXPORTS;ESYSOS_FREERTOS_PIMPL;ESYSOS_USE;ESYSBASE_USE;FREERTOS_USE;BOOST_ALL_DYN_LINK;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>esys/os/freertos/$(ProjectName)_prec.h</PrecompiledHeaderFile>
      <PrecompiledHeaderOutputFile>$(IntDir)$(ProjectName).pch</PrecompiledHeaderOutputFile>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>
      </DebugInformationFormat>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <DisableSpecificWarnings>4250;4251</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <OutputFile>$(OutDir)$(TargetFileName)</OutputFile>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <ProgramDatabaseFile>$(OutDir)$(TargetName).pdb</ProgramDatabaseFile>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <ImportLibrary>$(OutDir)$(TargetName).lib</ImportLibrary>
      <AdditionalLibraryDirectories>$(esysdevLibOutDir);$(ESYSBASE)\$(esysdevLibDir);$(ESYS_BOOST)\$(boostLibDir);%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
    <PostBuildEvent>
      <Command>xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)\plugins\esysos\
xcopy /Y $(OutDir)$(TargetFileName) $(ESYSOS_DEV)\$(esysdevExeOutDir)</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(ESYSRES)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <PreBuildEvent>
      <Command>python $(ESYSOS)\project\msvc\create_rc.py $(TargetFileName) esysos_freertos</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\src\esys\os\freertos\esysos_freertos_dll.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\esysos_freertos_prec.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='DebugDLL|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='DebugDLL|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='ReleaseDLL|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\os\freertos\mp\platform_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\mp\plugin_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\mutexplatimpl_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\mutexplat_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\mutex_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\semaphoreplatimpl_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\semaphoreplat_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\semaphore_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\systemplat_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\taskplatimpl_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\taskplat_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\task_freertos.cpp" />
    <ClCompile Include="..\..\src\esys\os\freertos\time_freertos.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\include\esys\os\freertos\autolink.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\esysos_freertos_defs.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\esysos_freertos_prec.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\mp\platform.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\mp\plugin.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\mutex.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\mutexplat.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\semaphore.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\semaphoreplat.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\systemplat.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\task.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\taskplat.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\time.h" />
    <ClInclude Include="..\..\include\esys\os\freertos\version.h" />
    <ClInclude Include="..\..\src\esys\os\freertos\mutexplatimpl.h" />
    <ClInclude Include="..\..\src\esys\os\freertos\semaphoreplatimpl.h" />
    <ClInclude Include="..\..\src\esys\os\freertos\taskplatimpl.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\..\res\esysos_freertos.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
